\usepackage[no-math]{fontspec}
\usepackage{polyglossia}
\setmainlanguage[variant=british]{english}

\usepackage{import}
\usepackage{xifthen}
\usepackage{pdfpages}
\usepackage{tcolorbox}
\usepackage{bbding}
\usepackage[justification=centering]{caption}
\usepackage{wrapfig, subfig}
\usepackage{multirow, tabularx}
\usepackage{mathtools}
\usepackage{amssymb, amsthm, amsmath}
\usepackage{xltxtra}

% Fonts setup
\defaultfontfeatures[\rmfamily,\sffamily]{Ligatures=TeX}
\setmainfont{TeXGyreTermesX}[
        UprightFont = *-Regular,
        BoldFont = *-Bold,
        ItalicFont = *-Italic,
        BoldItalicFont = *-BoldItalic,
        Extension = .otf]
\let\Bbbk\relax
\setsansfont{LibertinusSans}[
        UprightFont = *-Regular,
        BoldFont = *-Bold,
        ItalicFont = *-Italic,
        Extension = .otf]
\setmonofont{inconsolata}
\usepackage[%
nofontinfo,
subscriptcorrection,
zswash,
mtphrd,
mtpfrak,
mtpcal
]{mtpro2}

\usepackage{fancyhdr}
\usepackage{csquotes}
\usepackage{siunitx}
\usepackage{geometry}
\geometry{
        left=2.5cm,
        right=2.5cm,
        top=2cm,
        bottom=2cm
}

\parskip=0.1in
\footskip=0.1in
\pagestyle{fancy}
\fancyhf{}
\rhead{\thepage}
\lhead{\leftmark}

\renewcommand\qedsymbol{\RectangleBold}
\renewcommand{\qed}{\unskip\nobreak\quad\qedsymbol}

\tcbuselibrary{theorems}
\tcbuselibrary{skins}
\definecolor{navy}{RGB}{10,35,63}
\definecolor{green}{RGB}{10,63,35}
% Environments
\newtcbtheorem{theorem}{Theorem}{
  theorem style=change apart,enhanced,sharp corners,
  colframe=navy,colback=gray!20,coltitle=white,
  title style={navy},fonttitle=\bfseries,
  fontupper=\normalsize,theorem name and number}{theorem}

\newtcbtheorem{lemma}{Lemma}{
  theorem style=change apart,enhanced,sharp corners,
  colframe=white!25!black,colback=gray!20,coltitle=white,
  title style={white!25!black},fonttitle=\bfseries,
  fontupper=\normalsize,fontlower=\normalsize,theorem name and number}{lemma}

\newtcbtheorem{corollary}{Corollary}{
  theorem style=change apart,enhanced,sharp corners,
  colframe=navy,colback=gray!20,coltitle=white,
  title style={white!25!black},fonttitle=\bfseries,
  fontupper=\normalsize,theorem name and number}{lemma}

\newtcbtheorem{definition}{Definition}{
  theorem style=change apart,enhanced,sharp corners,
  colframe=green,colback=gray!20,coltitle=white,
  title style={green},fonttitle=\bfseries,
  fontupper=\normalsize,theorem name and number}{lemma}

  \newcommand{\incfig}[2][1]{%
    \def\svgwidth{#1\columnwidth}
    \import{./figures/}{#2.pdf_tex}
    }

    \newcommand{\bigzero}{\mbox{\normalfont\Huge\bfseries 0}}%
    \setcounter{MaxMatrixCols}{11}%

\usepackage{etoolbox, ifluatex}

% correction for large symbols with mtpro2 on LuaTeX
\ifluatex
\makeatletter
\patchcmd{\PEX@}{\dp\Pbox@>\dp\z@}{\ht\Pbox@>\dp\z@}{}{}
\patchcmd{\SQEX@}{\dp\Sbox@>\dp0}{\ht\Sbox@>\dp0}{}{}
\makeatother
\fi

\makeatother
\def\@lecture{}%
\newcommand{\lecture}[3]{
    \ifthenelse{\isempty{#3}}{%
        \def\@lecture{Lecture #1}%
    }{%
        \def\@lecture{Lecture #1: #3}%
    }%
    \section{\@lecture}
    \small\textsf{\mbox{#2}}
}
\makeatletter

\usepackage{hyperxmp}

\author{
        Juan David Salcedo Hernández\\
        \href{mailto:jdavid.salcedo@udea.edu.co}{jdavid.salcedo@udea.edu.co}
}
\date{}

\usepackage[hypertexnames=false]{hyperref}

\hypersetup{
        colorlinks=true,
        linkcolor=blue,
        filecolor=magenta,
        urlcolor=cyan,
}
\special{pdf:majorversion 2}
\special{pdf:minorversion 0}
\setcounter{secnumdepth}{0} % sets unnumbered sections
